# Quotas

The Didomi platform enforces quotas for some platform features such as compliance reports. Quotas are designed to protect the platform and ensure the availability and performance of our services for all our customers. Each quota is organization-specific and is enforced at the organization level.

## **Platform** quotas

We currently enforce the following quotas:

| ID                             | Default value                 | Description                                                                                                                                                                                                                                                                             |
| ------------------------------ | ----------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `scraper_enabled_properties`   | 250                           | Number of properties that can be enabled for a scraping session.                                                                                                                                                                                                                        |
| `parallel_notices_deployments` | 3                             | Maximum number of notices deployments (publishing) that can be run in parallel.                                                                                                                                                                                                         |
| `exports_configs`              | 3                             | Maximum number of enabled batch export configs.                                                                                                                                                                                                                                         |
| `exports_destinations`         | 2                             | Maximum number of batch export destinations per export config.                                                                                                                                                                                                                          |
| `consent_proof_reports`        | 10 per month                  | Number of consent proof reports that can be generated by an organization per month.                                                                                                                                                                                                     |
| `api_requests`                 | 100 requests every 15 seconds | <p>Number of API requests authenticated with API keys that can be made by an organization. This does not apply to the Consents API routes on <code>/consents/\*</code>.</p><p>More information is provided on this quota in <a data-mention href="rate-limiting">rate-limiting</a>.</p> |
| `secrets`                      | 300                           | Maximum number of secrets allowed to be created by an organization.                                                                                                                                                                                                                     |
| `metadata_partners`            | 500                           | Maximum number of vendors allowed to be created by an organization.                                                                                                                                                                                                                     |
| `metadata_purposes`            | 300                           | Maximum number of purposes allowed to be created by an organization.                                                                                                                                                                                                                    |

## **View your organization quotas**

To view the quotas applied to your organization, send an authenticated HTTP GET request to `https://api.didomi.io/v1/quotas` with your organization ID as a query-string parameter. Example:

```bash
curl -H "Authorization: Bearer <token>" https://api.didomi.io/v1/quotas?organization_id=<YOUR_ORGANIZATION_ID>
```

The response will looks like this:

```javascript
{
    "data": [
        {
            "scraper_enabled_properties": 250,
            "parallel_notices_deployments": 3,
            "exports_configs": 3,
            "exports_destinations": 2,
            "consent_proof_reports": 10,
            "api_requests": 100,
            "id": "...",
            "organization_id": "...",
            "created_at": "...",
            "updated_at": "...",
            "version": 0
        }
    ],
    "total": 1,
    "limit": 100,
    "skip": 0
}
```

## **Request a quota increase**

If you want to request an increase of any of the existing quotas, reach out to <support@didomi.io>. We do our best to accommodate increase requests but cannot guarantee that we will fulfill them.
